For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The ItemFulfillment object
          • GET/item-fulfillments
          • POST/item-fulfillments
          • GET/item-fulfillments/{id}
          • GET/item-fulfillments/lines/remote-field-classes
          • GET/item-fulfillments/remote-field-classes
          • POST/item-fulfillments/bulk
          • GET/item-fulfillments/bulk/{batch_id}
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsItem Fulfillments

/item-fulfillments

Beta
GET
/accounting/v1/item-fulfillments
GET
/api/accounting/v1/item-fulfillments
$curl -G https://api.merge.dev/api/accounting/v1/item-fulfillments \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -d cursor=cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw \
> --data-urlencode expand=lines,sales_order,customer,company \
> -d remote_fields=status \
> -d show_enum_origins=status
200Retrieved
1{
2 "next": "cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw",
3 "previous": "cj1sZXdwd2VycWVtY29zZnNkc2NzUWxNMEUxTXk0ME16UXpNallsTWtJ",
4 "results": [
5 {
6 "id": "0048ea5b-911e-4dff-9364-92070dea62ff",
7 "remote_id": "IF-12345",
8 "created_at": "2021-09-15T00:00:00Z",
9 "modified_at": "2021-10-16T00:00:00Z",
10 "sales_order": "b26fd49a-cbae-470a-a8f8-bcbc119e0390",
11 "fulfillment_date": "2022-04-10T00:00:00Z",
12 "customer": "2f9edc34-c92a-48c0-b2c6-e9e0e3bc407b",
13 "company": "595c8f97-2ac4-45b7-b000-41bdf43240b5",
14 "status": "SHIPPED",
15 "memo": "Shipped via FedEx",
16 "lines": [
17 {
18 "remote_id": "121222",
19 "item": "0958cbc6-6040-430a-848e-aafacbadf4ae",
20 "quantity": "10",
21 "tracking_categories": [
22 "f1214c24-2702-4617-b74b-3ddecfc0d384"
23 ]
24 },
25 {
26 "remote_id": "121223",
27 "item": "249c9faa-3045-4a31-953b-8f22d3613301",
28 "quantity": "5",
29 "tracking_categories": [
30 "f1214c24-2702-4617-b74b-3ddecfc0d384"
31 ]
32 }
33 ],
34 "remote_created_at": "2020-03-31T00:00:00Z",
35 "remote_updated_at": "2020-03-31T00:00:00Z",
36 "remote_was_deleted": true,
37 "field_mappings": {
38 "organization_defined_targets": {
39 "custom_key": "custom_value"
40 },
41 "linked_account_defined_targets": {
42 "custom_key": "custom_value"
43 }
44 },
45 "remote_data": [
46 {
47 "path": "/actions",
48 "data": null
49 }
50 ],
51 "remote_fields": [
52 {
53 "remote_field_class": {
54 "id": "string",
55 "display_name": "string",
56 "remote_key_name": "string",
57 "description": "string",
58 "is_custom": true,
59 "is_common_model_field": true,
60 "is_required": true,
61 "field_type": "string",
62 "field_format": "string",
63 "field_choices": [
64 "string"
65 ],
66 "item_schema": {
67 "item_type": "string",
68 "item_format": "string",
69 "item_choices": [
70 "string"
71 ]
72 }
73 },
74 "value": "string"
75 }
76 ]
77 }
78 ]
79}

Returns a list of ItemFulfillment objects.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

The ItemFulfillment object

Next

/item-fulfillments

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

cursorstringOptional
The pagination cursor value.
expandenumOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
include_deleted_databooleanOptional
Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. [Learn more](https://docs.merge.dev/integrations/hris/supported-features/).
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_remote_fieldsbooleanOptional
Whether to include all remote fields, including fields that Merge did not map to common models, in a normalized format.
include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

page_sizeintegerOptional
Number of results to return per page. The maximum limit is 100.
remote_fieldsenumOptional

Deprecated. Use show_enum_origins.

Allowed values:
show_enum_originsenumOptional
A comma separated list of enum field names for which you'd like the original values to be returned, instead of Merge's normalized enum values. [Learn more](https://help.merge.dev/en/articles/8950958-show_enum_origins-query-parameter)
Allowed values:

Response

nextstring or null
previousstring or null
resultslist of objects

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

A comma separated list of enum field names for which you’d like the original values to be returned, instead of Merge’s normalized enum values. Learn more